std::chrono::year::is_leap(3)

NAME
std::chrono::year::is_leap - std::chrono::year::is_leap

Synopsis
   constexpr bool is_leap() const noexcept; (since C++20)
   Determines if *this represents a leap year in the proleptic Gregorian calendar.
   *this represents a leap year if the stored year value
     * is divisible by 4 and not divisible by 100; or
     * is divisible by 400.

Return value
   true if *this represents a leap year, otherwise false.

Example
// Run this code
 #include <iostream>
 #include <chrono>
 int main()
 {
     using namespace std::chrono_literals;
     for (const std::chrono::year y : {2020y, 2021y, 2000y, 3000y}) {
         if (const int iy{ static_cast<int>(y) }; y.is_leap()) {
             std::cout << iy << " is a leap year because it is divisible by "
                       << (iy % 400 == 0 ? "400\n" : "4 and not divisible by 100\n");
         } else {
             std::cout << iy << " is not a leap year\n";
         }
     }
 }

Output:
 2020 is a leap year because it is divisible by 4 and not divisible by 100
 2021 is not a leap year
 2000 is a leap year because it is divisible by 400
 3000 is not a leap year